## IdeDeviceProvider IdeDeviceProvider |

## Functions

#define | IDE_TYPE_DEVICE_PROVIDER
void | ide_device_provider_device_added ()
void | ide_device_provider_device_removed ()
GPtrArray * | ide_device_provider_get_devices ()
gboolean | ide_device_provider_get_settled ()

## Properties

gboolean | settled | Read

## Signals

void | device-added | Run Last
void | device-removed | Run Last

## Types and Values

#define | IDE_DEVICE_PROVIDER_EXTENSION_POINT
struct | IdeDeviceProviderClass
| IdeDeviceProvider

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeDeviceProvider

## Description

## Functions

### IDE_TYPE_DEVICE_PROVIDER

    #define IDE_TYPE_DEVICE_PROVIDER            (ide_device_provider_get_type())

### ide_device_provider_device_added ()

    void
    ide_device_provider_device_added (IdeDeviceProvider *provider,
                                      IdeDevice *device);

### ide_device_provider_device_removed ()

    void
    ide_device_provider_device_removed (IdeDeviceProvider *provider,
                                        IdeDevice *device);

### ide_device_provider_get_devices ()

    GPtrArray *
    ide_device_provider_get_devices (IdeDeviceProvider *provider);

Retrieves a list of devices currently managed by `provider` .

#### Returns

A GPtrArray of IdeDevice instances.

[transfer none][element-type IdeDevice*]

### ide_device_provider_get_settled ()

    gboolean
    ide_device_provider_get_settled (IdeDeviceProvider *provider);

## Types and Values

### IDE_DEVICE_PROVIDER_EXTENSION_POINT

    #define IDE_DEVICE_PROVIDER_EXTENSION_POINT "org.gnome.libide.extensions.device-provider"

### struct IdeDeviceProviderClass

    struct IdeDeviceProviderClass {
      IdeObjectClass parent;

      void     (*device_added)   (IdeDeviceProvider *provider,
                                  IdeDevice         *device);
      void     (*device_removed) (IdeDeviceProvider *provider,
                                  IdeDevice         *device);
      gboolean (*get_settled)    (IdeDeviceProvider *provider);
    };

### IdeDeviceProvider

    typedef struct _IdeDeviceProvider IdeDeviceProvider;

## Property Details

### The `“settled”` property

      “settled”                  gboolean

If device probing has settled.

Flags: Read

Default value: FALSE

## Signal Details

### The `“device-added”` signal

    void
    user_function (IdeDeviceProvider *idedeviceprovider,
                   IdeDevice         *arg1,
                   gpointer           user_data)

Flags: Run Last

### The `“device-removed”` signal

    void
    user_function (IdeDeviceProvider *idedeviceprovider,
                   IdeDevice         *arg1,
                   gpointer           user_data)

Flags: Run Last